Skip to content

/proxy_sessions/{id}/payer_opened

POST
/proxy_sessions/{id}/payer_opened
curl --request POST \
--url https://example.com/proxy_sessions/example/payer_opened

Records payer checkout open and returns the current cart details.

id
required
string
/^psess_/

Default Response

Media typeapplication/json
object
amount_minor
required
integer
<= 2147483647
buyer_reference
required
string
cart_snapshot
required
object
key
additional properties
any
cart_version
required
integer
created_at
required
string
currency
required
string
/^[a-z]{3}$/
expires_at
required
string
id
required
string
/^psess_/
idempotency_key
required
null | string
integration_mode
required
string
metadata
required
object
key
additional properties
any
payer_destination_url
required
null | string
provider_checkout_session_id
required
null | string
provider_checkout_session_psp
required
null | string
status
required
string
updated_at
required
string
payer_contact
required
object
email
null | string
phone
null | string
Examplegenerated
{
"amount_minor": 1,
"buyer_reference": "example",
"cart_snapshot": {},
"cart_version": 1,
"created_at": "example",
"currency": "example",
"expires_at": "example",
"id": "example",
"idempotency_key": "example",
"integration_mode": "example",
"metadata": {},
"payer_destination_url": "example",
"provider_checkout_session_id": "example",
"provider_checkout_session_psp": "example",
"status": "example",
"updated_at": "example",
"payer_contact": {
"email": "example",
"phone": "example"
}
}